{
  "name": "ecs-student",
  "version": "1.0.0",
  "private": true,
  "scripts": {
    "serve": "vue-cli-service serve",
    "lint": "vue-cli-service lint",
    "start": "vue-cli-service serve",
    "start:test": "vue-cli-service serve --mode staging",
    "mock": "json-server --watch mock/db.json",
    "prebuild:dev": "node prebuild",
    "build:dev": "NODE_ENV=production vue-cli-service build --mode development",
    "postbuild:dev": "node postbuild",
    "prebuild:test": "node prebuild",
    "build:test": "NODE_ENV=production vue-cli-service build --mode test",
    "postbuild:test": "node postbuild",
    "prebuild:staging": "node prebuild",
    "build:staging": "NODE_ENV=production vue-cli-service build --mode staging",
    "postbuild:staging": "node postbuild",
    "prebuild:prod": "node prebuild",
    "build:prod": "vue-cli-service build",
    "postbuild:prod": "IS_PROD=true node postbuild",
    "test:unit": "vue-cli-service test:unit"
  },
  "eslintIgnore": [
    "quokka-test.js",
    "src/plugins/face.js",
    "src/plugins/tracking.js"
  ],
  "dependencies": {
    "@chenfengyuan/vue-qrcode": "^1.0.2",
    "axios": "^0.19.2",
    "core-js": "^3.8.0",
    "face-api.js": "0.21.0",
    "intro.js": "^2.9.3",
    "iview": "^3.5.4",
    "js-md5": "^0.7.3",
    "lodash-es": "^4.17.15",
    "moment": "^2.27.0",
    "register-service-worker": "^1.7.1",
    "ua-parser-js": "^0.7.21",
    "viewerjs": "^1.6.1",
    "vue": "^2.6.11",
    "vue-router": "^3.4.9",
    "vue-spinner": "^1.0.4",
    "vue-splitpane": "^1.0.6",
    "vuedraggable": "^2.24.0",
    "vuex": "^3.6.0",
    "webrtc-adapter": "^7.7.0"
  },
  "devDependencies": {
    "@vue/cli-plugin-babel": "^4.5.9",
    "@vue/cli-plugin-eslint": "^4.5.9",
    "@vue/cli-plugin-pwa": "^4.5.9",
    "@vue/cli-plugin-router": "~4.5.9",
    "@vue/cli-plugin-unit-jest": "^4.5.9",
    "@vue/cli-plugin-vuex": "~4.5.9",
    "@vue/cli-service": "^4.5.9",
    "@vue/eslint-config-prettier": "^6.0.0",
    "@vue/test-utils": "^1.0.3",
    "babel-eslint": "^10.1.0",
    "babel-plugin-import": "^1.13.3",
    "eslint": "^7.14.0",
    "eslint-plugin-prettier": "^3.1.4",
    "eslint-plugin-vue": "^7.1.0",
    "iview-loader": "^1.2.2",
    "json-server": "^0.16.3",
    "prettier": "^2.2.0",
    "vue-cli-plugin-iview": "^1.0.6",
    "vue-template-compiler": "^2.6.11"
  }
}
